Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Interface Ole32

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary

    public interface Ole32

extends com.sun.jna.win32.StdCallLibrary

Ole32.dll Interface.

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static Ole32` | `INSTANCE`

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Method Summary
`WinNT.HRESULT` | `CoCreateGuid(Guid.GUID.ByReference pguid)` Creates a GUID, a unique 128-bit integer used for CLSIDs and interface identifiers.
`WinNT.HRESULT` | `CoCreateInstance(Guid.GUID rclsid, com.sun.jna.Pointer pUnkOuter, int dwClsContext, Guid.GUID riid, com.sun.jna.ptr.PointerByReference ppv)` Creates a single uninitialized object of the class associated with a specified CLSID.
`WinNT.HRESULT` | `CoInitializeEx(com.sun.jna.Pointer reserved, int dwCoInit)` Initializes the COM library for use by the calling thread, sets the thread's concurrency model, and creates a new apartment for the thread if one is required.
`void` | `CoUninitialize()` Closes the COM library on the current thread, unloads all DLLs loaded by the thread, frees any other resources that the thread maintains, and forces all RPC connections on the thread to close.
`WinNT.HRESULT` | `IIDFromString(java.lang.String lpsz, Guid.GUID.ByReference lpiid)` Converts a string generated by the StringFromIID function back into the original interface identifier (IID).
`int` | `StringFromGUID2(Guid.GUID.ByReference rguid, char[] lpsz, int cchMax)` Converts a globally unique identifier (GUID) into a string of printable characters.

Field Detail

### INSTANCE

    static final Ole32 INSTANCE

Method Detail

### CoCreateGuid

    WinNT.HRESULT CoCreateGuid(Guid.GUID.ByReference pguid)

  Creates a GUID, a unique 128-bit integer used for CLSIDs and interface identifiers.

  Parameters:
    `pguid` - A pointer to the requested GUID.
  Returns:
    S_OK if the GUID was successfully created.

### StringFromGUID2

    int StringFromGUID2(Guid.GUID.ByReference rguid,
                        char[] lpsz,
                        int cchMax)

  Converts a globally unique identifier (GUID) into a string of printable characters.

  Parameters:
    `rguid` - The GUID to be converted.
    `lpsz` - A pointer to a caller-allocated string variable to receive the resulting string.
    `cchMax` - The number of characters available in the lpsz buffer.
  Returns:
    If the function succeeds, the return value is the number of characters in the returned string, including the null terminator. If the buffer is too small to contain the string, the return value is 0.

### IIDFromString

    WinNT.HRESULT IIDFromString(java.lang.String lpsz,
                                Guid.GUID.ByReference lpiid)

  Converts a string generated by the StringFromIID function back into the original interface identifier (IID).

  Parameters:
    `lpsz` - A pointer to the string representation of the IID.
    `lpiid` - A pointer to the requested IID on return.
  Returns:
    This function can return the standard return values E_INVALIDARG, E_OUTOFMEMORY, and S_OK.

### CoInitializeEx

    WinNT.HRESULT CoInitializeEx(com.sun.jna.Pointer reserved,
                                 int dwCoInit)

  Initializes the COM library for use by the calling thread, sets the thread's concurrency model, and creates a new apartment for the thread if one is required.

  Parameters:
    `reserved` - This parameter is reserved and must be NULL.
    `dwCoInit` - The concurrency model and initialization options for the thread. Values for this parameter are taken from the COINIT enumeration. Any combination of values from COINIT can be used, except that the COINIT_APARTMENTTHREADED and COINIT_MULTITHREADED flags cannot both be set. The default (and only sane choice) is COINIT_MULTITHREADED.
  Returns:
    This function can return the standard return values E_INVALIDARG, E_OUTOFMEMORY, and E_UNEXPECTED, as well as the following values. S_OK, S_FALSE, RPC_E_CHANGED_MODE

### CoUninitialize

    void CoUninitialize()

  Closes the COM library on the current thread, unloads all DLLs loaded by the thread, frees any other resources that the thread maintains, and forces all RPC connections on the thread to close.

### CoCreateInstance

    WinNT.HRESULT CoCreateInstance(Guid.GUID rclsid,
                                   com.sun.jna.Pointer pUnkOuter,
                                   int dwClsContext,
                                   Guid.GUID riid,
                                   com.sun.jna.ptr.PointerByReference ppv)

  Creates a single uninitialized object of the class associated with a specified CLSID.

  Parameters:
    `rclsid` - The CLSID associated with the data and code that will be used to create the object.
    `pUnkOuter` - If NULL, indicates that the object is not being created as part of an aggregate. If non-NULL, pointer to the aggregate object's IUnknown interface (the controlling IUnknown).
    `dwClsContext` - Context in which the code that manages the newly created object will run. The values are taken from the enumeration CLSCTX defined in WTypes.
    `riid` - A reference to the identifier of the interface to be used to communicate with the object.
    `ppv` - Address of pointer variable that receives the interface pointer requested in riid. Upon successful return, *ppv contains the requested interface pointer. Upon failure, *ppv contains NULL.
  Returns:
    an HRESULT

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD